Bug 1133646

Summary: Driver reports it support brightness, but this is a desktop PC
Product: [Fedora] Fedora Reporter: Elad Alfassa <elad>
Component: xorg-x11-drv-atiAssignee: Hans de Goede <hdegoede>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: elad, hdegoede, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-02 03:30:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Elad Alfassa 2014-08-25 17:24:14 UTC
Apparently the driver is reporting brightness is supported on my machine, but it's a desktop PC with a screen connected to it via DVI, it can't adjust brightness via software.

I thought it was a GNOME issue, but apparently the driver is reporting brightness support - https://bugzilla.gnome.org/show_bug.cgi?id=726798 (closed as NOTGNOME)


DVI-0 connected primary 1920x1080+0+0 (0x92) normal (normal left inverted right x axis y axis) 510mm x 287mm
	Identifier: 0x90
	Timestamp:  3257
	Subpixel:   horizontal rgb
	Gamma:      1.0:1.0:1.0
	Brightness: 1.0
	Clones:    
	CRTC:       0
	CRTCs:      0 1 2 3 4 5
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	_MUTTER_PRESENTATION_OUTPUT: 0 
	EDID: 
		00ffffffffffff0010ac72404c385142
		0f17010380331d78eadd45a3554fa027
		125054a54b00714f8180d1c001010101
		010101010101023a801871382d40582c
		4500fe1f1100001e000000ff004b4638
		37593334434251384c0a000000fc0044
		454c4c205532333132484d0a000000fd
		00384c1e5311000a202020202020000b
	load detection: 1 
		range: (0, 1)
	audio: auto 
		supported: off, on, auto
	scaling mode: None 
		supported: None, Full, Center, Full aspect
	dither: off 
		supported: off, on
	underscan vborder: 0 
		range: (0, 128)
	underscan hborder: 0 
		range: (0, 128)
	underscan: off 
		supported: off, on, auto
	coherent: 1 
		range: (0, 1)
  1920x1080 (0x92) 148.500MHz +HSync +VSync *current +preferred
        h: width  1920 start 2008 end 2052 total 2200 skew    0 clock  67.50KHz
        v: height 1080 start 1084 end 1089 total 1125           clock  60.00Hz
  1280x1024 (0x93) 135.000MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock  79.98KHz
        v: height 1024 start 1025 end 1028 total 1066           clock  75.02Hz
  1280x1024 (0x94) 108.000MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock  63.98KHz
        v: height 1024 start 1025 end 1028 total 1066           clock  60.02Hz
  1152x864 (0x95) 108.000MHz +HSync +VSync
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock  67.50KHz
        v: height  864 start  865 end  868 total  900           clock  75.00Hz
  1024x768 (0x96) 78.800MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock  60.06KHz
        v: height  768 start  769 end  772 total  800           clock  75.08Hz
  1024x768 (0x97) 65.000MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock  48.36KHz
        v: height  768 start  771 end  777 total  806           clock  60.00Hz
  800x600 (0x98) 49.500MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock  46.88KHz
        v: height  600 start  601 end  604 total  625           clock  75.00Hz
  800x600 (0x99) 40.000MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock  37.88KHz
        v: height  600 start  601 end  605 total  628           clock  60.32Hz
  640x480 (0x9a) 31.500MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock  37.50KHz
        v: height  480 start  481 end  484 total  500           clock  75.00Hz
  640x480 (0x9b) 25.200MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock  31.50KHz
        v: height  480 start  490 end  492 total  525           clock  60.00Hz
  720x400 (0x9c) 28.320MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock  31.47KHz
        v: height  400 start  412 end  414 total  449           clock  70.08Hz

Comment 1 Hans de Goede 2014-08-26 08:45:12 UTC
Hi,

Can you please run the following 2 commands in a shell:

ls /sys/class/backlight

As well as:

for i in /sys/class/dmi/id/*; do echo $i; cat $i 2> /dev/null; done

And copy and paste the output of both into your next comment here in bugzilla ?

Thanks,

Hans

Comment 2 Elad Alfassa 2014-08-26 10:45:40 UTC
[elad@weatherwax ~]$ ls /sys/class/backlight
acpi_video0
[elad@weatherwax ~]$ for i in /sys/class/dmi/id/*; do echo $i; cat $i 2> /dev/null; done
/sys/class/dmi/id/bios_date
01/20/2014
/sys/class/dmi/id/bios_vendor
American Megatrends Inc.
/sys/class/dmi/id/bios_version
F6
/sys/class/dmi/id/board_asset_tag
To be filled by O.E.M.
/sys/class/dmi/id/board_name
Z87-D3HP-CF
/sys/class/dmi/id/board_serial
/sys/class/dmi/id/board_vendor
Gigabyte Technology Co., Ltd.
/sys/class/dmi/id/board_version
x.x
/sys/class/dmi/id/chassis_asset_tag
To Be Filled By O.E.M.
/sys/class/dmi/id/chassis_serial
/sys/class/dmi/id/chassis_type
3
/sys/class/dmi/id/chassis_vendor
Gigabyte Technology Co., Ltd.
/sys/class/dmi/id/chassis_version
To Be Filled By O.E.M.
/sys/class/dmi/id/modalias
dmi:bvnAmericanMegatrendsInc.:bvrF6:bd01/20/2014:svnGigabyteTechnologyCo.,Ltd.:pnZ87-D3HP:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnZ87-D3HP-CF:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
/sys/class/dmi/id/power
/sys/class/dmi/id/product_name
Z87-D3HP
/sys/class/dmi/id/product_serial
/sys/class/dmi/id/product_uuid
/sys/class/dmi/id/product_version
To be filled by O.E.M.
/sys/class/dmi/id/subsystem
/sys/class/dmi/id/sys_vendor
Gigabyte Technology Co., Ltd.
/sys/class/dmi/id/uevent
MODALIAS=dmi:bvnAmericanMegatrendsInc.:bvrF6:bd01/20/2014:svnGigabyteTechnologyCo.,Ltd.:pnZ87-D3HP:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnZ87-D3HP-CF:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:


---
I see this is information about my motherboard and such, but I'm not using the onboard video, I'm using a PCI-E videocard

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Cape Verde XT [Radeon HD 7770/8760 / R7 250X]

Comment 3 Hans de Goede 2014-08-26 13:32:23 UTC
Thanks for the info.

Hmm, so your Gigabyte motherboard BIOS claims to have brightness support in its acpi-video code.

I've just gotten a number of similar bug reports for different motherboards, so step 1 is going to be to see if there is some common pattern here. Once I've info from all the other cases I'll start a discussion about this on the linux-acpi list, and then we'll see from there.

Comment 4 Fedora End Of Life 2015-11-04 15:49:45 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-12-02 03:31:01 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.